Modify

Opened 5 years ago

Closed 5 years ago

#13295 closed defect (fixed)

f5d8235v2 can't dispacht ip address to PC

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: kernel Version: Trunk
Keywords: Cc:

Description

Hi
I install the newst fimware (get it from http://downloads.openwrt.org/snapshots/trunk/ramips/openwrt-ramips-rt305x-f5d8235v2-squashfs-sysupgrade.bin) on my Belkin f5d8235 v2.
after flash, the router can't dispath IP address to PC.
i attahced the Serial information

U-Boot 1.1.3 (Nov 7 2008 - 00:24:27)

Board: Ralink APSoC DRAM: 32 MB
relocate_code Pointer at: 81fa0000
=====config_usbotg =====
flash_protect ON: from 0xBF000000 to 0xBF02F0F7
protect on 0
protect on 1
protect on 2
protect on 3
protect on 4
protect on 5
protect on 6
protect on 7
protect on 8
protect on 9
flash_protect ON: from 0xBF030000 to 0xBF03FFFF
protect on 10
============================================
Ralink UBoot Version: 3.2


ASIC 3052_MP2 (Port5<->GigaSW)
DRAM COMPONENT: 128Mbits
DRAM BUS: 32BIT
Total memory: 32 MBytes
Date:Nov 7 2008 Time:00:24:27
============================================
icache: sets:256, ways:4, linesz:32 ,total:32768
dcache: sets:128, ways:4, linesz:32 ,total:16384

##### The CPU freq = 384 MHZ ####

SDRAM bus set to 32 bit
SDRAM size =32 Mbytes

Please choose the operation:

1: Load system code to SDRAM via TFTP.
2: Load system code then write to Flash via TFTP.
3: Boot system code via Flash (default).
4: Entr boot command line interface.
9: Load Boot Loader code then write to Flash via TFTP.

0


3: System Boot system code via Flash.
## Booting image at bf050000 ...

Image Name: MIPS OpenWrt Linux-3.8.3
Created: 2013-04-04 17:25:34 UTC

System Control Status = 0x10440000

Image Type: MIPS Linux Kernel Image (lzma compressed)
Data Size: 1012258 Bytes = 988.5 kB
Load Address: 80000000
Entry Point: 80000000
Verifying Checksum ... OK
Uncompressing Kernel Image ... OK

No initrd
## Transferring control to Linux (at address 80000000) ...
## Giving linux memsize in MB, 32

Starting kernel ...

[ 0.000000] Linux version 3.8.3 (fnord@tschunk) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r36193) ) #1 Thu Apr 4

17:24:32 UTC 2013
[ 0.000000] SoC Type: Ralink RT3052 id:1 rev:3
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 0001964c (MIPS 24KEc)
[ 0.000000] memory window: 0x0, min: 2MB, max: 64MB
[ 0.000000] memory detected: 32MB
[ 0.000000] MIPS: machine is Belkin F5D8235 v2
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 32 bytes
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: console=ttyS0,57600 mtdparts=1f000000.cfi:320k(u-boot)ro,7744k(firmware),64k(nvram),64k

(factory) rootfstype=squashfs,jffs2
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] ex_table already sorted, skipping sort
[ 0.000000] Writing ErrCtl register=00029c61
[ 0.000000] Readback ErrCtl register=00029c61
[ 0.000000] Memory: 29236k/32768k available (2309k kernel code, 3532k reserved, 519k data, 176k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:128
[ 0.000000] CPU Clock: 384MHz
[ 0.000000] Calibrating delay loop... 255.59 BogoMIPS (lpj=1277952)
[ 0.070000] pid_max: default: 32768 minimum: 301
[ 0.080000] Mount-cache hash table entries: 512
[ 0.090000] NET: Registered protocol family 16
[ 0.120000] bio: create slab <bio-0> at 0
[ 0.130000] rt2880_gpio 10000600.gpio: registering 24 gpios
[ 0.140000] Switching to clocksource MIPS
[ 0.150000] NET: Registered protocol family 2
[ 0.160000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.170000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.190000] TCP: Hash tables configured (established 512 bind 512)
[ 0.200000] TCP: reno registered
[ 0.210000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.220000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.230000] NET: Registered protocol family 1
[ 0.240000] rt-timer 10000100.timer: maximum frequncy is 7812Hz
[ 0.280000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.290000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.310000] msgmni has been set to 57
[ 0.320000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[ 0.340000] io scheduler noop registered
[ 0.340000] io scheduler deadline registered (default)
[ 0.360000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 0.380000] 10000c00.uartlite: ttyS0 at MMIO 0x10000c00 (irq = 20) is a 16550A
[ 0.400000] console [ttyS0] enabled, bootconsole disabled
[ 0.400000] console [ttyS0] enabled, bootconsole disabled
[ 0.420000] 1f000000.cfi: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022cb
[ 0.440000] Amd/Fujitsu Extended Query Table at 0x0040
[ 0.450000] Amd/Fujitsu Extended Query version 1.1.
[ 0.460000] number of CFI chips: 1
[ 0.470000] 4 cmdlinepart partitions found on MTD device 1f000000.cfi
[ 0.480000] Creating 4 MTD partitions on "1f000000.cfi":
[ 0.490000] 0x000000000000-0x000000050000 : "u-boot"
[ 0.510000] 0x000000050000-0x0000007e0000 : "firmware"
[ 0.520000] found squashfs behind kernel
[ 0.530000] Creating 2 MTD partitions on "1f000000.cfi":
[ 0.540000] 0x000000050000-0x000000147262 : "kernel"
[ 0.550000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block --

forcing read-only
[ 0.580000] 0x000000147262-0x0000007e0000 : "rootfs"
[ 0.590000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block --

forcing read-only
[ 0.610000] mtd: partition "rootfs" set to be root filesystem
[ 0.620000] mtd: partition "rootfs_data" created automatically, ofs=2C0000, len=520000
[ 0.640000] 0x0000002c0000-0x0000007e0000 : "rootfs_data"
[ 0.650000] 0x0000007e0000-0x0000007f0000 : "nvram"
[ 0.670000] 0x0000007f0000-0x000000800000 : "factory"
[ 0.680000] rt305x-esw 10110000.esw: link changed 0x00
[ 0.700000] eth0: done loading
[ 0.710000] TCP: cubic registered
[ 0.710000] NET: Registered protocol family 17
[ 0.720000] Bridge firewalling registered
[ 0.730000] 8021q: 802.1Q VLAN Support v1.8
[ 0.750000] VFS: Mounted root (squashfs filesystem) readonly on device 31:3.
[ 0.760000] Freeing unused kernel memory: 176k freed
[ 2.800000] rt305x-esw 10110000.esw: link changed 0x08
[ 3.130000] Button Hotplug driver version 0.4.1

  • preinit -

[ 3.190000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:blue:internet)
[ 3.210000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:amber:internet)
[ 3.230000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:blue:modem)
[ 3.240000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:amber:modem)
[ 3.260000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:blue:router)
[ 3.280000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:blue:storage)
[ 3.290000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:amber:storage)
[ 3.310000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:blue:security)
[ 3.330000] leds-gpio gpio-leds.2: Skipping unavailable LED gpio -2 (f5d8235v2:amber:security)
Press the [f] key and hit [enter] to enter failsafe mode
[ 5.370000] rt305x-esw 10110000.esw: link changed 0x08

  • regular preinit -

[ 6.570000] jffs2: notice: (405) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0

orphan) and 8 of xref (0 dead, 2 orphan) found.
switching to jffs2

  • init -

Please press Enter to activate this console. [ 7.720000] Compat-drivers backport release: compat-drivers-2013-01-21-1
[ 7.730000] Backport based on wireless-testing.git master-2013-02-22
[ 7.740000] compat.git: wireless-testing.git
[ 7.780000] cfg80211: Calling CRDA to update world regulatory domain
[ 7.800000] cfg80211: World regulatory domain updated:
[ 7.810000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 7.820000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 7.840000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 7.850000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 7.870000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 7.890000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8.390000] usbcore: registered new interface driver usbfs
[ 8.400000] usbcore: registered new interface driver hub
[ 8.410000] usbcore: registered new device driver usb
[ 8.760000] phy0 -> rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'soc_wmac.eeprom'.
[ 8.780000] phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 2872, rf: 0008, rev: 0200.
[ 8.850000] PPP generic driver version 2.4.2
[ 8.920000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 9.060000] NET: Registered protocol family 24
[ 9.090000] nf_conntrack version 0.5.0 (459 buckets, 1836 max)
[ 9.360000] dwc_otg: version 2.72a 24-JUN-2008
[ 9.370000] dwc_otg: Core Release: 2.66a
[ 9.580000] dwc_otg: Periodic Transfer Interrupt Enhancement - disabled
[ 9.590000] dwc_otg: Multiprocessor Interrupt Enhancement - disabled
[ 9.600000] dwc_otg: Using DMA mode
[ 9.610000] dwc_otg: Device using Buffer DMA mode
[ 9.620000] dwc_otg 101c0000.otg: DWC OTG Controller
[ 9.630000] dwc_otg 101c0000.otg: new USB bus registered, assigned bus number 1
[ 9.650000] dwc_otg 101c0000.otg: irq 26, io mem 0x101c0000
[ 9.660000] dwc_otg: Init: Port Power? op_state=1
[ 9.670000] dwc_otg: Init: Power Port (0)
[ 9.680000] hub 1-0:1.0: USB hub found
[ 9.680000] hub 1-0:1.0: 1 port detected
[ 12.670000] rt305x-esw 10110000.esw: link changed 0x08
[ 13.800000] device eth0.1 entered promiscuous mode
[ 13.810000] device eth0 entered promiscuous mode
[ 13.840000] br-lan: port 1(eth0.1) entered forwarding state
[ 13.850000] br-lan: port 1(eth0.1) entered forwarding state
[ 15.850000] br-lan: port 1(eth0.1) entered forwarding state
[ 17.170000] rt305x-esw 10110000.esw: link changed 0x08
[ 17.640000] ralink-wdt: timeout value 60 must be 0 < timeout <= 33, using 30
[ 39.270000] rt305x-esw 10110000.esw: link changed 0x08
[ 48.300000] rt305x-esw 10110000.esw: link changed 0x08
[ 53.780000] rt305x-esw 10110000.esw: link changed 0x08
[ 55.880000] rt305x-esw 10110000.esw: link changed 0x08
[ 68.360000] rt305x-esw 10110000.esw: link changed 0x08
[ 73.560000] rt305x-esw 10110000.esw: link changed 0x08
[ 79.800000] rt305x-esw 10110000.esw: link changed 0x08
[ 82.310000] rt305x-esw 10110000.esw: link changed 0x08
[ 87.730000] rt305x-esw 10110000.esw: link changed 0x08
[ 131.710000] rt305x-esw 10110000.esw: link changed 0x08
[ 169.470000] rt305x-esw 10110000.esw: link changed 0x08
[ 270.440000] rt305x-esw 10110000.esw: link changed 0x08
[ 333.810000] rt305x-esw 10110000.esw: link changed 0x08
[ 358.840000] rt305x-esw 10110000.esw: link changed 0x08
[ 390.080000] rt305x-esw 10110000.esw: link changed 0x08
[ 396.250000] rt305x-esw 10110000.esw: link changed 0x08
[ 407.380000] rt305x-esw 10110000.esw: link changed 0x08
[ 409.930000] rt305x-esw 10110000.esw: link changed 0x08
[ 412.360000] rt305x-esw 10110000.esw: link changed 0x08
[ 414.600000] rt305x-esw 10110000.esw: link changed 0x08
[ 416.710000] rt305x-esw 10110000.esw: link changed 0x08
[ 436.860000] rt305x-esw 10110000.esw: link changed 0x08
[ 453.220000] rt305x-esw 10110000.esw: link changed 0x08
[ 468.370000] rt305x-esw 10110000.esw: link changed 0x08
[ 474.460000] rt305x-esw 10110000.esw: link changed 0x08
[ 476.760000] rt305x-esw 10110000.esw: link changed 0x08

Attachments (0)

Change History (5)

comment:1 Changed 5 years ago by anonymous

there was a bug in the dts files that made some gpios not work.

please retry a revison >= 36212

comment:2 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

comment:3 Changed 5 years ago by Ayyari Abdennaby

the gpio only works is specified in the DTS file,

ralink,uartmux = "uartf"; /* not "gpio" since r36431*/

comment:4 Changed 5 years ago by anonymous

  • Resolution no_response deleted
  • Status changed from closed to reopened

comment:5 Changed 5 years ago by blogic

  • Resolution set to fixed
  • Status changed from reopened to closed

please try current HEAD. this was fixed in r36562

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.